mscorlib 4.0.0.0 ReferenceTypeConstraint System.Object To be added.

Use this type when you need to manage the addition and removal of events manually.

An instance of this table stores the delegates that represent the event handlers that have been added to an event. To raise the event, invoke the delegate that is returned by the property, if it is not null. An instance of this table is required for each event.

Stores mappings between delegates and event tokens, to support the implementation of a wrt event in managed code.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Runtime.InteropServices.WindowsRuntime.EventRegistrationToken `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Runtime.InteropServices.WindowsRuntime.EventRegistrationTokenTable<T> `` To be added. To be added. To be added. To be added.
- Property
  4.0.0.0
  T To be added. To be added.

  Gets or sets a delegate of type whose invocation list includes all the event handler delegates that have been added, and that have not yet been removed. Invoking this delegate invokes all the event handlers.

- Method
  4.0.0.0
  System.Void ``

  If the token is not registered, the table and the invocation list are not modified.

  Removes the event handler that is associated with the specified token from the table and the invocation list.

  The token that was returned when the event handler was added.
- Method
  4.0.0.0
  System.Void `` To be added. To be added. To be added.